############## Merlin Initialisation script ##############

#check for USB 
if [ -e /dev/sda ]
then
	if [ -e /dev/sda1 ]
	then
		#mount usb
		cd /home/se1200
		mkdir usb
		mount /dev/sda1 usb
	else
		#mount usb
		cd /home/se1200
		mkdir usb
		mount /dev/sda usb
	fi
	
	if [ -e usb/Datavideo/install ]
	then
		usb/Datavideo/install/install.sh
	fi

	if [ -e usb/Datavideo/recovery ]
	then
		usb/Datavideo/recovery/recovery.sh
	fi
		
	cd /home/se1200/software/current
fi

if [ -e uImage ] 
then
	echo "Updating Kernel"
	dd if=uImage of=/dev/mmcblk0 bs=512 seek=2048 conv=fsync
	rm uImage
	reboot
fi

if [ -e version ] 
then
	if [ -e /home/se1200/config/version ]
	then
		rm /home/se1200/config/version
	else
		mkdir /home/se1200/config
	fi
	
	mv version /home/se1200/config
fi

#insmod /lib/modules/3.0.35-2666-gbdde708/kernel/drivers/mxc/mipi/mxc_mipi_csi2.ko
##insmod /lib/modules/3.0.35-2666-gbdde708/kernel/drivers/media/video/mxc/capture/ipu_prp_enc.ko
##insmod /lib/modules/3.0.35-2666-gbdde708/kernel/drivers/media/video/mxc/capture/ipu_still.ko 
#insmod /lib/modules/3.0.35-2666-gbdde708/kernel/drivers/media/video/mxc/capture/ipu_csi_enc.ko 
#insmod /lib/modules/3.0.35-2666-gbdde708/kernel/drivers/media/video/mxc/capture/ipu_fg_overlay_sdc.ko 
#insmod /lib/modules/3.0.35-2666-gbdde708/kernel/drivers/media/video/mxc/capture/ipu_bg_overlay_sdc.ko  
#

insmod mxc_mipi_csi2.ko
insmod ipu_csi_enc.ko 
insmod ipu_fg_overlay_sdc.ko 
insmod ipu_bg_overlay_sdc.ko  

insmod ipu_still.ko
insmod ipu_video.ko
insmod merlin_v4l2_capture.ko
insmod merlin_driver.ko

if [ -e /home/se1200/user_data/mems/network_init.sh ]
then
	/home/se1200/user_data/mems/network_init.sh
fi

# python t1.pyc &
./merlin_streamer &
./merlin1_processor 2 &

# wait till IP addr available
while :
do
	ifconfig eth0 | grep 'inet addr:'	
	if [ "$?" == "0" ]; then break; fi
	sleep 10
done

// run SE-650/HS-1200/HS-1300 hostname DVIP according to version
grep '1.1' /home/se1200/config/version
if [ "$?" == "0" ]; then
	python t1-se650.pyc &
else
  grep '2.0' /home/se1200/config/version
	if [ "$?" == "0" ]; then
		python t1-hs1200.pyc &
	else
	  grep '2.3' /home/se1200/config/version
		if [ "$?" == "0" ]; then
			python t1-hs1300.pyc &
		else
			python t1.pyc &
		fi
	fi
fi

